﻿/* *********************************************************************
 * H.264Vbr カメラ種別番号
 ********************************************************************* */
// S2カメラ
var camKind_H264Vbr_S2 = 0;
// 4K固定カメラ
var camKind_H264Vbr_4K = 1;
// 9M全方位カメラ
var camKind_H264Vbr_9M = 2;

/* *********************************************************************
 * H.264Vbr 解像度番号
 ********************************************************************* */
var camReso_H264Vbr_UXGA = 0;
var camReso_H264Vbr_SXVGA = 1;
var camReso_H264Vbr_SVGA = 2;
var camReso_H264Vbr_VGA = 3;
var camReso_H264Vbr_400x300 = 4;
var camReso_H264Vbr_QVGA = 5;
var camReso_H264Vbr_QQVGA = 6;
var camReso_H264Vbr_FHD = 7;
var camReso_H264Vbr_HD = 8;
var camReso_H264Vbr_HVGAW = 9;
var camReso_H264Vbr_180P = 10;
var camReso_H264Vbr_160x90 = 11;
var camReso_H264Vbr_4000x3000 = 12;
var camReso_H264Vbr_2560x1920 = 13;
var camReso_H264Vbr_2048x1536 = 14;
var camReso_H264Vbr_3840x2160 = 15;
var camReso_H264Vbr_2560x1440 = 16;
var camReso_H264Vbr_2992x2992 = 17;
var camReso_H264Vbr_2816x2816 = 18;
var camReso_H264Vbr_1280x1280 = 19;
var camReso_H264Vbr_640x640 = 20;
var camReso_H264Vbr_320x320 = 21;

/* *********************************************************************
 * H.264Vbr 解像度一覧
 ********************************************************************* */
// 解像度名
var resoNameH264Vbr = 0;
// レコーダーサポート情報
var resoRecH264Vbr_ND400 = 1;
var resoRecH264Vbr_NV300 = 2;
// テーブル
var resoInfo_H264Vbr = [
    // UXGA
    [s_camreso_h264_10, 1, 0, 1, 0, 1, 0],
    // SXVGA
    [s_camreso_h264_01, 1, 1, 1, 1, 1, 1],
    // SVGA
    [s_camreso_h264_08, 1, 1, 1, 1, 1, 1],
    // VGA
    [s_camreso_h264_02, 1, 1, 1, 0, 1, 0],
    // 400x300
    [s_camreso_h264_11, 1, 0, 1, 0, 1, 0],
    // QVGA
    [s_camreso_h264_03, 1, 1, 1, 0, 1, 0],
    // QQVGA
    [s_camreso_h264_12, 1, 0, 1, 0, 1, 0],
    // FHD
    [s_camreso_h264_04, 1, 1, 1, 1, 1, 1],
    // HD
    [s_camreso_h264_05, 1, 1, 1, 1, 1, 1],
    // HVGAW
    [s_camreso_h264_06, 1, 1, 1, 0, 1, 1],
    // 180P
    [s_camreso_h264_07, 1, 1, 1, 0, 1, 0],
    // 160x90
    [s_camreso_h264_13, 1, 0, 1, 0, 1, 0],
    // 4000x3000
    [s_camreso_h264_22, 1, 1, 1, 0, 1, 1],
    // 2560x1920
    [s_camreso_h264_21, 1, 0, 1, 1, 1, 1],
    // 2048x1536
    [s_camreso_h264_09, 1, 0, 1, 1, 1, 1],
    // 3840x2160
    [s_camreso_h264_23, 1, 0, 1, 15, 1, 0],
    // 2560x1440
    [s_camreso_h264_24, 1, 1, 1, 1, 1, 1],
    // 2992x2992
    [s_camreso_h264_15, 0, 0, 0, 0, 1, 1],
    // 2816x2816
    [s_camreso_h264_16, 0, 0, 0, 0, 1, 1],
    // 1280x1280
    [s_camreso_h264_18, 0, 0, 0, 0, 1, 1],
    // 640x640
    [s_camreso_h264_19, 0, 0, 0, 0, 1, 0],
    // 320x320
    [s_camreso_h264_20, 0, 0, 0, 0, 1, 0]
];

/* *********************************************************************
 * H.264Vbr 画質一覧
 ********************************************************************* */
// テーブル
var qualInfo_H264Vbr = [
    // デフォルト値(Index)
    2,
    // 値一覧
    1, 3, 5, 7, 9
];

/* *********************************************************************
 * H.264Vbr FPS数一覧
 ********************************************************************* */
// テーブル
var fpsInfo_H264Vbr = [
    // ----------------------------------------------------
    // 01. S2カメラ
    [
        // デフォルト値(Index)
        5,
        // 値一覧
        1, 3, 5, 10, 15, 30, 60
    ],
    // ----------------------------------------------------
    // 02. 4K固定カメラ
    [
        // デフォルト値(Index)
        6,
        // 値一覧
        1, 3, 5, 7.5, 10, 15, 30
    ],
    // ----------------------------------------------------
    // 03. 9M全方位カメラ
    [
        // デフォルト値(Index)
        5,
        // 値一覧
        1, 3, 5, 7.5, 10, 15, 30
    ]
];

/* *********************************************************************
 * H.264Vbr 設置条件情報
 ********************************************************************* */
// テーブル
var camSceneInfo_H264Vbr = [
    // ----------------------------------------------------
    // 01. S2カメラ
    [
        // ----------------------------------------------------
        // 01. 屋内 - ビル出入口
        [
            // <1> 設置場所名称
            [
                s_scene_location_Indoor_BuildingEntrance
            ],
            // サンプル画像(0:通常、1:低照度)
            [
                'images/scene/Indoor_BuildingEntrance_daytime.jpg',
                'images/scene/Indoor_BuildingEntrance_night.jpg'
            ],
            // サンプル動画(0:通常、1:低照度)
            [
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Indoor_BuildingEntrance_daytime.asx',
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Indoor_BuildingEntrance_night.asx'
            ]
        ],
        // ----------------------------------------------------
        // 02. 屋内 - 廊下
        [
            // <1> 設置場所名称
            [
                s_scene_location_Indoor_Corridor
            ],
            // サンプル画像(0:通常、1:低照度)
            [
                'images/scene/Indoor_Corridor_daytime.jpg',
                'images/scene/Indoor_Corridor_night.jpg'
            ],
            // サンプル動画(0:通常、1:低照度)
            [
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Indoor_Corridor_daytime.asx',
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Indoor_Corridor_night.asx'
            ]
        ],
        // ----------------------------------------------------
        // 03. 屋外 - ビル入口
        [
            // <1> 設置場所名称
            [
                s_scene_location_Outdoor_BuildingEntrance
            ],
            // サンプル画像(0:通常、1:低照度)
            [
                'images/scene/Outoor_BuildingEntrance_daytime-2.jpg',
                'images/scene/Outoor_BuildingEntrance_night.jpg'
            ],
            // サンプル動画(0:通常、1:低照度)
            [
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Outoor_BuildingEntrance_daytime.asx',
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Outoor_BuildingEntrance_night.asx'
            ]
        ],
        // ----------------------------------------------------
        // 04. 屋外 -  通用口
        [
            // <1> 設置場所名称
            [
                s_scene_location_Outdoor_ServiceEntrance
            ],
            // サンプル画像(0:通常、1:低照度)
            [
                'images/scene/Outdoor_Sidewalk_daytime.jpg',
                'images/scene/Outdoor_Sidewalk_night.jpg'
            ],
            // サンプル動画(0:通常、1:低照度)
            [
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Outdoor_Sidewalk_daytime.asx',
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Outdoor_Sidewalk_night.asx'
            ]
        ],
        // ----------------------------------------------------
        // 05. 屋外 - 駐車場入り口
        [
            // <1> 設置場所名称
            [
                s_scene_location_Outdoor_ParkingEntrance
            ],
            // サンプル画像(0:通常、1:低照度)
            [
                'images/scene/Outdoor_Carpark_daytime.jpg',
                'images/scene/Outdoor_Carpark_night.jpg'
            ],
            // サンプル動画(0:通常、1:低照度)
            [
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Outdoor_Carpark_daytime.asx',
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Outdoor_Carpark_night.asx'
            ]
        ]
    ],
    // ----------------------------------------------------
    // 02. 4K固定カメラ
    [
        // ----------------------------------------------------
        // 01. 屋外 - 駐車場入り口
        [
            // <1> 設置場所名称
            [
                s_scene_location_Outdoor_ParkingEntrance
            ],
            // サンプル画像(0:通常、1:低照度)
            [
                'images/scene/4K_Outdoor_Carpark_daytime.jpg',
                'images/scene/4K_Outdoor_Carpark_night.jpg'
            ],
            // サンプル動画(0:通常、1:低照度)
            [
                'http://ssbu-t.psn-web.net/Useful_tool/Video/4K_Outdoor_Carpark_daytime.asx',
                'http://ssbu-t.psn-web.net/Useful_tool/Video/4K_Outdoor_Carpark_night.asx'
            ]
        ],
        // ----------------------------------------------------
        // 02. 屋外 - 交差点
        [
            // <1> 設置場所名称
            [
                s_scene_location_Outdoor_Intersection
            ],
            // サンプル画像(0:通常、1:低照度)
            [
                'images/scene/Outdoor_Intersection_daytime.jpg',
                'images/scene/Outdoor_Intersection_night.jpg'
            ],
            // サンプル動画(0:通常、1:低照度)
            [
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Outdoor_Intersection_daytime.asx',
                'http://ssbu-t.psn-web.net/Useful_tool/Video/Outdoor_Intersection_night.asx'
            ]
        ]
    ],
    // ----------------------------------------------------
    // 03. 9M全方位カメラ
    [
        // ----------------------------------------------------
        // 01. ?
        [
            // <1> 設置場所名称
            [
                s_scene_location_Indoor_General
            ],
            // サンプル画像(0:通常、1:低照度)
            [
                'images/scene/9MP_Indoor_daytime2.jpg',
                'images/scene/9MP_Indoor_night2.jpg'
            ],
            // サンプル動画(0:通常、1:低照度)
            [
                'http://ssbu-t.psn-web.net/Useful_tool/Video/9MP_Indoor_daytime.asx',
                'http://ssbu-t.psn-web.net/Useful_tool/Video/9MP_Indoor_night.asx'
            ]
        ]
    ]
];

/* *********************************************************************
 * H.264Vbr 照度割合情報
 ********************************************************************* */
// テーブル
var camIllumInfo_H264Vbr = [
    // デフォルト値(値)
    70,
    // 値一覧
    100, 95, 90, 85, 80, 75, 70, 65, 60, 55, 50, 45, 40, 35, 30, 25, 20, 15, 10, 5, 0
];

/* *********************************************************************
 * H.264Vbr 動き割合情報
 ********************************************************************* */
// テーブル
var camMotionInfo_H264Vbr = [
    // デフォルト値(値)
    70,
    // 値一覧
    100, 95, 90, 85, 80, 75, 70, 65, 60, 55, 50, 45, 40, 35, 30, 25, 20, 15, 10, 5, 0
];

/* *********************************************************************
 * H.264Vbr カメラ情報
 ********************************************************************* */
// テーブル
var camInfo_H264Vbr = [
    // ----------------------------------------------------
    // 01. S2カメラ
    [
        // <1> 型番
        [
            s_cammodel_h264vbr_01
        ],
        // <2> 解像度
        [
            // デフォルト値
            camReso_H264Vbr_FHD,
            // 値リスト
            camReso_H264Vbr_UXGA,
            camReso_H264Vbr_SXVGA,
            camReso_H264Vbr_SVGA,
            camReso_H264Vbr_VGA,
            camReso_H264Vbr_400x300,
            camReso_H264Vbr_QVGA,
            camReso_H264Vbr_QQVGA,
            camReso_H264Vbr_FHD,
            camReso_H264Vbr_HD,
            camReso_H264Vbr_HVGAW,
            camReso_H264Vbr_180P,
            camReso_H264Vbr_160x90
        ]
    ],
    // ----------------------------------------------------
    // 02. 4K固定カメラ
    [
        // <1> 型番
        [
            s_cammodel_h264vbr_02
        ],
        // <2> 解像度
        [
            // デフォルト値
            camReso_H264Vbr_2560x1440,
            // 値リスト
            camReso_H264Vbr_4000x3000,
            camReso_H264Vbr_2560x1920,
            camReso_H264Vbr_2048x1536,
            camReso_H264Vbr_UXGA,
            camReso_H264Vbr_SXVGA,
            camReso_H264Vbr_SVGA,
            camReso_H264Vbr_VGA,
            camReso_H264Vbr_QVGA,
            camReso_H264Vbr_3840x2160,
            camReso_H264Vbr_2560x1440,
            camReso_H264Vbr_FHD,
            camReso_H264Vbr_HD,
            camReso_H264Vbr_HVGAW,
            camReso_H264Vbr_180P
        ]
    ],
    // ----------------------------------------------------
    // 03. 9M全方位カメラ
    [
        // <1> 型番
        [
            s_cammodel_h264vbr_03
        ],
        // <2> 解像度
        [
            // デフォルト値
            camReso_H264Vbr_2992x2992,
            // 値リスト
            camReso_H264Vbr_2560x1920,
            camReso_H264Vbr_2048x1536,
            camReso_H264Vbr_UXGA,
            camReso_H264Vbr_SXVGA,
            camReso_H264Vbr_SVGA,
            camReso_H264Vbr_VGA,
            camReso_H264Vbr_QVGA,
            camReso_H264Vbr_2560x1440,
            camReso_H264Vbr_FHD,
            camReso_H264Vbr_HD,
            camReso_H264Vbr_HVGAW,
            camReso_H264Vbr_180P,
            camReso_H264Vbr_2992x2992,
            camReso_H264Vbr_2816x2816,
            camReso_H264Vbr_1280x1280,
            camReso_H264Vbr_640x640,
            camReso_H264Vbr_320x320
        ]
    ]
];

/* *********************************************************************
 * H.264Vbr ビットレート情報
 ********************************************************************* */
// 照度普通
var bitrate_Normal = 0;
// 照度低い
var bitrate_Low = 1;
// VBR 静止画
var bitrate_Stil = 0;
// VBR 動画
var bitrate_Motion = 1;
// SmartCoding
var bitrate_SmartCoding = 2;
